<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk+" version="2.18"/>
  <!-- interface-naming-policy project-wide -->
  <object class="GtkWindow" id="main_window">
    <property name="can_focus">False</property>
    <property name="title" translatable="yes">Fatdog64 Event Manager</property>
    <property name="window_position">center</property>
    <property name="icon">/usr/share/mini-icons/so.xpm</property>
    <child>
      <object class="GtkAlignment" id="alignment1">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="top_padding">8</property>
        <property name="bottom_padding">8</property>
        <property name="left_padding">4</property>
        <property name="right_padding">4</property>
        <child>
          <object class="GtkVBox" id="vbox1">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="spacing">4</property>
            <child>
              <object class="GtkLabel" id="label16">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="label" translatable="yes">Hover your cursor over the fields for helpful notes on their purposes.</property>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">True</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkHBox" id="hbox1">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="spacing">4</property>
                <child>
                  <object class="GtkVBox" id="vbox2">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="spacing">8</property>
                    <child>
                      <object class="GtkFrame" id="frame1">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="tooltip_text" translatable="yes">When running with RAM layer, Fatdog will periodically save the RAM layer contents to the persistent savefile. 

Specify the interval between saves here, in minutes. If you enter zero (0) here, periodic saving is disabled and nothing will be saved unless you click the "Save RAM Layer" button on the desktop.

Setting takes effect immediately.</property>
                        <property name="label_xalign">0</property>
                        <child>
                          <object class="GtkAlignment" id="alignment2">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="top_padding">2</property>
                            <property name="bottom_padding">2</property>
                            <property name="left_padding">4</property>
                            <property name="right_padding">4</property>
                            <child>
                              <object class="GtkEntry" id="ram-save">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="invisible_char">●</property>
                                <property name="primary_icon_activatable">False</property>
                                <property name="secondary_icon_activatable">False</property>
                                <property name="primary_icon_sensitive">True</property>
                                <property name="secondary_icon_sensitive">True</property>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child type="label">
                          <object class="GtkLabel" id="label1">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">RAM save interval</property>
                            <property name="use_markup">True</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">0</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkFrame" id="frame9">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="tooltip_text" translatable="yes">This sets the compression option used for multisession saves.

The default is '-comp xz' which means to use the XZ compression, which creates the smallest possible file but takes longer.  Another option would be '-comp gzip' or '-comp lzo', which creates a larger file but is faster to create.

You can also use this option to pass other parameters to mksquashfs as needed, e.g. '-Xcompression-level' or '-Xbcj'.
</property>
                        <property name="label_xalign">0</property>
                        <child>
                          <object class="GtkAlignment" id="alignment10">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="top_padding">2</property>
                            <property name="bottom_padding">2</property>
                            <property name="left_padding">4</property>
                            <property name="right_padding">4</property>
                            <child>
                              <object class="GtkEntry" id="multi-compress">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="invisible_char">●</property>
                                <property name="primary_icon_activatable">False</property>
                                <property name="secondary_icon_activatable">False</property>
                                <property name="primary_icon_sensitive">True</property>
                                <property name="secondary_icon_sensitive">True</property>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child type="label">
                          <object class="GtkLabel" id="label18">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">Multisession Compression</property>
                            <property name="use_markup">True</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">True</property>
                        <property name="fill">True</property>
                        <property name="position">1</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkFrame" id="frame2">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="tooltip_text" translatable="yes">These settings determine the access granted to drives for non-root users. Note that this only affects the drives *mounted by the user*. 

Drives mounted by other users will remain inaccessible until un-mounted and re-mounted (except when "grant access to all users" is enabled). Drives mounted by root are not affected by these settings.

Setting takes effect for drives mounted subsequently.</property>
                        <property name="label_xalign">0</property>
                        <child>
                          <object class="GtkAlignment" id="alignment3">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="left_padding">4</property>
                            <property name="right_padding">4</property>
                            <child>
                              <object class="GtkVBox" id="vbox4">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <child>
                                  <object class="GtkRadioButton" id="access-rw">
                                    <property name="label" translatable="yes">Read/write</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">False</property>
                                    <property name="active">True</property>
                                    <property name="draw_indicator">True</property>
                                  </object>
                                  <packing>
                                    <property name="expand">True</property>
                                    <property name="fill">True</property>
                                    <property name="position">0</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkRadioButton" id="access-ro">
                                    <property name="label" translatable="yes">Read only</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">False</property>
                                    <property name="active">True</property>
                                    <property name="draw_indicator">True</property>
                                    <property name="group">access-rw</property>
                                  </object>
                                  <packing>
                                    <property name="expand">True</property>
                                    <property name="fill">True</property>
                                    <property name="position">1</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkCheckButton" id="access-group">
                                    <property name="label" translatable="yes">Grant access to all users</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">False</property>
                                    <property name="tooltip_text" translatable="yes">By default (when this option is unchecked), a mounted drive is only accessible to the user who mounted it. 

Enabling this option makes the mounted drive accessible for all Fatdog users - that is, users who belong to the "users" group.

Setting takes effect for drives mounted subsequently.</property>
                                    <property name="draw_indicator">True</property>
                                  </object>
                                  <packing>
                                    <property name="expand">True</property>
                                    <property name="fill">True</property>
                                    <property name="position">2</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkCheckButton" id="access-unlisted">
                                    <property name="label" translatable="yes">Enable read-only access 
for unlisted users</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">False</property>
                                    <property name="tooltip_text" translatable="yes">This grants read-only access to unlisted users. This setting is only used if a user doesn't otherwise have any access to the mounted drive at all (it correspond to "o" unix permission group).

This is a security compromise.  We recommend leaving this off unless you know what you are doing. It is here because some other Linux operating systems (e.g. Ubuntu) might fail to operate unless this setting is turned on.

Setting takes effect for drives mounted subsequently.</property>
                                    <property name="draw_indicator">True</property>
                                  </object>
                                  <packing>
                                    <property name="expand">True</property>
                                    <property name="fill">True</property>
                                    <property name="position">3</property>
                                  </packing>
                                </child>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child type="label">
                          <object class="GtkLabel" id="label2">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">Non-root permission</property>
                            <property name="use_markup">True</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">2</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkFrame" id="frame3">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="tooltip_text" translatable="yes">Where to draw the drive icons.

Setting takes effect immediately for new drive icons, and after redraw-icons for existing icons.</property>
                        <property name="label_xalign">0</property>
                        <child>
                          <object class="GtkAlignment" id="alignment4">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="left_padding">4</property>
                            <property name="right_padding">4</property>
                            <child>
                              <object class="GtkVBox" id="vbox5">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <child>
                                  <object class="GtkRadioButton" id="align-bottom">
                                    <property name="label" translatable="yes">Bottom</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">False</property>
                                    <property name="active">True</property>
                                    <property name="draw_indicator">True</property>
                                  </object>
                                  <packing>
                                    <property name="expand">True</property>
                                    <property name="fill">True</property>
                                    <property name="position">0</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkRadioButton" id="align-right">
                                    <property name="label" translatable="yes">Right</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">False</property>
                                    <property name="active">True</property>
                                    <property name="draw_indicator">True</property>
                                    <property name="group">align-bottom</property>
                                  </object>
                                  <packing>
                                    <property name="expand">True</property>
                                    <property name="fill">True</property>
                                    <property name="position">1</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkRadioButton" id="align-top">
                                    <property name="label" translatable="yes">Top</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">False</property>
                                    <property name="active">True</property>
                                    <property name="draw_indicator">True</property>
                                    <property name="group">align-bottom</property>
                                  </object>
                                  <packing>
                                    <property name="expand">True</property>
                                    <property name="fill">True</property>
                                    <property name="position">2</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkRadioButton" id="align-left">
                                    <property name="label" translatable="yes">Left</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">False</property>
                                    <property name="active">True</property>
                                    <property name="draw_indicator">True</property>
                                    <property name="group">align-bottom</property>
                                  </object>
                                  <packing>
                                    <property name="expand">True</property>
                                    <property name="fill">True</property>
                                    <property name="position">3</property>
                                  </packing>
                                </child>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child type="label">
                          <object class="GtkLabel" id="label3">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">Drive icon alignment</property>
                            <property name="use_markup">True</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">3</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkFrame" id="frame6">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="label_xalign">0</property>
                        <child>
                          <object class="GtkAlignment" id="alignment7">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="left_padding">4</property>
                            <property name="right_padding">4</property>
                            <child>
                              <object class="GtkVBox" id="vbox6">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <child>
                                  <object class="GtkCheckButton" id="use-drive-icon">
                                    <property name="label" translatable="yes">Display drive icons</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">False</property>
                                    <property name="tooltip_text" translatable="yes">Whether to display drive icons at all. If un-checked, no drive icons will be displayed on the desktop. Other means of mounting (e.g. pmount) can still be used.</property>
                                    <property name="draw_indicator">True</property>
                                  </object>
                                  <packing>
                                    <property name="expand">True</property>
                                    <property name="fill">True</property>
                                    <property name="position">0</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkCheckButton" id="volume-label">
                                    <property name="label" translatable="yes">Show volume label</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">False</property>
                                    <property name="tooltip_text" translatable="yes">Whether to display volume labels as tooltips for drive icons. Volume labels are nice, but sometimes they can cause the icons to display slowly. If this is disabled then no volume labels will be displayed - neither on tooltips, nor on desktop drive icons.

Setting takes effect immediately for new drive icons; after system restart for existing icons.</property>
                                    <property name="draw_indicator">True</property>
                                  </object>
                                  <packing>
                                    <property name="expand">True</property>
                                    <property name="fill">True</property>
                                    <property name="position">1</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkCheckButton" id="mount-by-label">
                                    <property name="label" translatable="yes">Mount drive by label</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">False</property>
                                    <property name="tooltip_text" translatable="yes">Mount drives using their volume labels in /media, instead of traditional device names like sda, sdb, sdc in /mnt.

Setting takes effect immediately.</property>
                                    <property name="draw_indicator">True</property>
                                  </object>
                                  <packing>
                                    <property name="expand">True</property>
                                    <property name="fill">True</property>
                                    <property name="position">2</property>
                                  </packing>
                                </child>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child type="label">
                          <object class="GtkLabel" id="label14">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">Drive icon</property>
                            <property name="use_markup">True</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">4</property>
                      </packing>
                    </child>
                  </object>
                  <packing>
                    <property name="expand">True</property>
                    <property name="fill">True</property>
                    <property name="position">0</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkVBox" id="vbox3">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="spacing">8</property>
                    <child>
                      <object class="GtkFrame" id="frame4">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="tooltip_text" translatable="yes">Controls the area where the drive icons will be drawn; icons will not be drawn within these margins from the edge of the screen.
Unit is in pixels. Usually set to ensure the icons are not covered/hidden by panel / launcher / bars etc.

Setting takes effect immediately for new drive icons; after redraw-icons for existing icons.</property>
                        <property name="label_xalign">0</property>
                        <child>
                          <object class="GtkAlignment" id="alignment5">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="top_padding">4</property>
                            <property name="bottom_padding">4</property>
                            <property name="left_padding">4</property>
                            <property name="right_padding">4</property>
                            <child>
                              <object class="GtkTable" id="table1">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <property name="n_rows">4</property>
                                <property name="n_columns">2</property>
                                <property name="row_spacing">2</property>
                                <child>
                                  <object class="GtkLabel" id="label6">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="xalign">0</property>
                                    <property name="label" translatable="yes">Bottom</property>
                                  </object>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label7">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="xalign">0</property>
                                    <property name="label" translatable="yes">Left</property>
                                  </object>
                                  <packing>
                                    <property name="top_attach">1</property>
                                    <property name="bottom_attach">2</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label8">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="xalign">0</property>
                                    <property name="label" translatable="yes">Top</property>
                                  </object>
                                  <packing>
                                    <property name="top_attach">2</property>
                                    <property name="bottom_attach">3</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label9">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="xalign">0</property>
                                    <property name="label" translatable="yes">Right</property>
                                  </object>
                                  <packing>
                                    <property name="top_attach">3</property>
                                    <property name="bottom_attach">4</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkEntry" id="margin-bottom">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="invisible_char">●</property>
                                    <property name="primary_icon_activatable">False</property>
                                    <property name="secondary_icon_activatable">False</property>
                                    <property name="primary_icon_sensitive">True</property>
                                    <property name="secondary_icon_sensitive">True</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="right_attach">2</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkEntry" id="margin-left">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="invisible_char">●</property>
                                    <property name="primary_icon_activatable">False</property>
                                    <property name="secondary_icon_activatable">False</property>
                                    <property name="primary_icon_sensitive">True</property>
                                    <property name="secondary_icon_sensitive">True</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="right_attach">2</property>
                                    <property name="top_attach">1</property>
                                    <property name="bottom_attach">2</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkEntry" id="margin-top">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="invisible_char">●</property>
                                    <property name="primary_icon_activatable">False</property>
                                    <property name="secondary_icon_activatable">False</property>
                                    <property name="primary_icon_sensitive">True</property>
                                    <property name="secondary_icon_sensitive">True</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="right_attach">2</property>
                                    <property name="top_attach">2</property>
                                    <property name="bottom_attach">3</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkEntry" id="margin-right">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="invisible_char">●</property>
                                    <property name="primary_icon_activatable">False</property>
                                    <property name="secondary_icon_activatable">False</property>
                                    <property name="primary_icon_sensitive">True</property>
                                    <property name="secondary_icon_sensitive">True</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="right_attach">2</property>
                                    <property name="top_attach">3</property>
                                    <property name="bottom_attach">4</property>
                                  </packing>
                                </child>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child type="label">
                          <object class="GtkLabel" id="label4">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">Drive icon margins</property>
                            <property name="use_markup">True</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">0</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkFrame" id="frame5">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="tooltip_text" translatable="yes">Controls the spacing of the drive icons. Icon height/width means the icons will be drawn every "icon height/width" units. Grid means overlapping check will be done every "grid width/height" units. Unit is in pixels.

Setting takes effect immediately for new drive icons; after redraw-icons for existing icons.</property>
                        <property name="label_xalign">0</property>
                        <child>
                          <object class="GtkAlignment" id="alignment6">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="top_padding">4</property>
                            <property name="bottom_padding">4</property>
                            <property name="left_padding">4</property>
                            <property name="right_padding">4</property>
                            <child>
                              <object class="GtkTable" id="table2">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <property name="n_rows">4</property>
                                <property name="n_columns">2</property>
                                <property name="column_spacing">8</property>
                                <property name="row_spacing">2</property>
                                <child>
                                  <object class="GtkLabel" id="icon-dx-label">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="xalign">0</property>
                                    <property name="label" translatable="yes">Icon width</property>
                                  </object>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="icon-dy-label">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="xalign">0</property>
                                    <property name="label" translatable="yes">Icon height</property>
                                  </object>
                                  <packing>
                                    <property name="top_attach">1</property>
                                    <property name="bottom_attach">2</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label12">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="xalign">0</property>
                                    <property name="label" translatable="yes">Grid width</property>
                                  </object>
                                  <packing>
                                    <property name="top_attach">2</property>
                                    <property name="bottom_attach">3</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label13">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="xalign">0</property>
                                    <property name="label" translatable="yes">Grid height</property>
                                  </object>
                                  <packing>
                                    <property name="top_attach">3</property>
                                    <property name="bottom_attach">4</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkEntry" id="icon-dx">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="invisible_char">●</property>
                                    <property name="primary_icon_activatable">False</property>
                                    <property name="secondary_icon_activatable">False</property>
                                    <property name="primary_icon_sensitive">True</property>
                                    <property name="secondary_icon_sensitive">True</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="right_attach">2</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkEntry" id="icon-dy">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="invisible_char">●</property>
                                    <property name="primary_icon_activatable">False</property>
                                    <property name="secondary_icon_activatable">False</property>
                                    <property name="primary_icon_sensitive">True</property>
                                    <property name="secondary_icon_sensitive">True</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="right_attach">2</property>
                                    <property name="top_attach">1</property>
                                    <property name="bottom_attach">2</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkEntry" id="grid-x">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="invisible_char">●</property>
                                    <property name="primary_icon_activatable">False</property>
                                    <property name="secondary_icon_activatable">False</property>
                                    <property name="primary_icon_sensitive">True</property>
                                    <property name="secondary_icon_sensitive">True</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="right_attach">2</property>
                                    <property name="top_attach">2</property>
                                    <property name="bottom_attach">3</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkEntry" id="grid-y">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="invisible_char">●</property>
                                    <property name="primary_icon_activatable">False</property>
                                    <property name="secondary_icon_activatable">False</property>
                                    <property name="primary_icon_sensitive">True</property>
                                    <property name="secondary_icon_sensitive">True</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="right_attach">2</property>
                                    <property name="top_attach">3</property>
                                    <property name="bottom_attach">4</property>
                                  </packing>
                                </child>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child type="label">
                          <object class="GtkLabel" id="label5">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">Drive icon spacing</property>
                            <property name="use_markup">True</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">1</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkFrame" id="frame7">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="tooltip_text" translatable="yes">How long to wait (in seconds) before starting drive icons and other Startup programs. The delay is to ensure that X server and Rox desktop have settled and are ready to accept commands.</property>
                        <property name="label_xalign">0</property>
                        <child>
                          <object class="GtkAlignment" id="alignment8">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="top_padding">4</property>
                            <property name="bottom_padding">4</property>
                            <property name="left_padding">4</property>
                            <property name="right_padding">4</property>
                            <child>
                              <object class="GtkEntry" id="startup-delay">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="invisible_char">●</property>
                                <property name="primary_icon_activatable">False</property>
                                <property name="secondary_icon_activatable">False</property>
                                <property name="primary_icon_sensitive">True</property>
                                <property name="secondary_icon_sensitive">True</property>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child type="label">
                          <object class="GtkLabel" id="label15">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">Drive icon startup delay</property>
                            <property name="use_markup">True</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">2</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkFrame" id="frame8">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="tooltip_text" translatable="yes">Maximum length of a volume label to be displayed on the desktop drive icons. If you change this you may want to change the grid width too so the text from one icon doesn't overlap any other. Put zero here to disable the volume label on desktop icons (but it will still be enabled on tooltips).

Settings takes effect after you re-draw the drive icons.</property>
                        <property name="label_xalign">0</property>
                        <child>
                          <object class="GtkAlignment" id="alignment9">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="top_padding">4</property>
                            <property name="bottom_padding">4</property>
                            <property name="left_padding">4</property>
                            <property name="right_padding">4</property>
                            <child>
                              <object class="GtkEntry" id="max-volabel">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="invisible_char">●</property>
                                <property name="invisible_char_set">True</property>
                                <property name="primary_icon_activatable">False</property>
                                <property name="secondary_icon_activatable">False</property>
                                <property name="primary_icon_sensitive">True</property>
                                <property name="secondary_icon_sensitive">True</property>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child type="label">
                          <object class="GtkLabel" id="label17">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">Drive icon volume label max length</property>
                            <property name="use_markup">True</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">3</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkFrame" id="frame10">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="tooltip_text" translatable="yes">Drives listed here will not be shown in the drive icons list. List them by device name or by label name, and separate them by comma.

Please note that this is not a security feature. It only helps to un-clutter your desktop.

Settings takes effect after you re-draw the drive icons.</property>
                        <property name="label_xalign">0</property>
                        <child>
                          <object class="GtkAlignment" id="alignment11">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="top_padding">4</property>
                            <property name="bottom_padding">4</property>
                            <property name="left_padding">4</property>
                            <property name="right_padding">4</property>
                            <child>
                              <object class="GtkEntry" id="excluded-drives">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="invisible_char">●</property>
                                <property name="invisible_char_set">True</property>
                                <property name="primary_icon_activatable">False</property>
                                <property name="secondary_icon_activatable">False</property>
                                <property name="primary_icon_sensitive">True</property>
                                <property name="secondary_icon_sensitive">True</property>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child type="label">
                          <object class="GtkLabel" id="label10">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">Don't show drive icons for these drives</property>
                            <property name="use_markup">True</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">4</property>
                      </packing>
                    </child>
                  </object>
                  <packing>
                    <property name="expand">True</property>
                    <property name="fill">True</property>
                    <property name="position">1</property>
                  </packing>
                </child>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="fill">True</property>
                <property name="padding">4</property>
                <property name="position">1</property>
              </packing>
            </child>
            <child>
              <object class="GtkHButtonBox" id="hbuttonbox1">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="layout_style">spread</property>
                <child>
                  <object class="GtkButton" id="button-save">
                    <property name="label">gtk-save</property>
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="receives_default">True</property>
                    <property name="tooltip_text" translatable="yes">Save configuration settings.
Some configurations take effect immediately; some require X server restart; some require reboot.</property>
                    <property name="use_stock">True</property>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="fill">False</property>
                    <property name="position">0</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkButton" id="button-quit">
                    <property name="label">gtk-quit</property>
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="receives_default">True</property>
                    <property name="tooltip_text" translatable="yes">Exit the application immediately. This DOES NOT save the configuration, click "Save" first if you wish to do so.</property>
                    <property name="use_stock">True</property>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="fill">False</property>
                    <property name="position">1</property>
                  </packing>
                </child>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">True</property>
                <property name="padding">4</property>
                <property name="position">2</property>
              </packing>
            </child>
          </object>
        </child>
      </object>
    </child>
  </object>
</interface>
